SELECT Name, Population, IndepYear FROM country WHERE IndepYear IS NULL AND Population > 1000000;

SELECT Name, Population, IndepYear FROM country WHERE IndepYear IS NULL OR Population > 1000000;

-- проблема комбинирования операторов AND и OR
SELECT * FROM country WHERE IndepYear IS NULL OR Population > 4000000 AND Continent = 'North America' ORDER BY Population;

SELECT * FROM country WHERE (IndepYear IS NULL OR Population > 4000000) AND Continent = 'North America' ORDER BY Population;

SELECT * FROM country WHERE Code = 'ABW' OR Code = 'AFG' OR Code = 'AGO';

SELECT * FROM country WHERE Code IN ('ABW', 'AFG', 'AGO');

SELECT Name, Population FROM country WHERE NOT Population > 1000000000 ORDER BY Population DESC;

SELECT * FROM country WHERE Code NOT IN ('ABW', 'AFG', 'AGO');